﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Creating Workflows</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Creating Workflows</h1>
        <p>You can create workflows using the Graphical UI Workflow Editor or XML Editor and associate it to the required objects such as Users, Endpoints, and Roles to manage approval, or request Workflows.</p>
        <p>Click the&#160;<strong>Help</strong>&#160;button in workflow editor to view the Condition Variables. You can view the <strong>Help</strong> button only in the Graphical UI Editor.</p>
        <p>This section consists of the following topics:</p>
        <h2 id="CreatingWorkflows-CreatingSingleLevelWorkflows">Creating Single Level Workflows</h2>
        <p>The single level workflows will have only one level of approval.</p>
        <h3 id="CreatingWorkflows-CreatingSingleLevelWorkflowsusingtheGraphicalUIWorkflowEditor">Creating Single Level Workflows using the Graphical UI Workflow Editor</h3>
        <p>To create a single-level workflow using the Graphical UI Editor:</p>
        <ol>
            <li>
                <p>Navigate to&#160;<strong>Admin &gt;&#160;Workflow &gt; Workflow List</strong>.&#160;</p>
            </li>
            <li>
                <p>Select <strong>Create New Workflow </strong>under <strong> Action.</strong></p>
            </li>
            <li>
                <p>Specify the name of the workflow without space and select the workflow type in&#160;<strong>Workflow Type</strong>&#160;fields in the&#160;<strong>Properties</strong>&#160;section respectively.<br />Following are the available workflow types:</p>
                <ul>
                    <li>
                        <p>Parallel:&#160;Select this option to complete&#160;multiple tasks parallelly at the same time</p>
                    </li>
                </ul>
                <ul>
                    <li>
                        <p>Serial: Select this option to complete tasks sequentially, one step after the other step.</p>
                    </li>
                </ul>
                <p>.Ensure that the name of the workflow is a unique.&#160;</p>
            </li>
            <li>
                <p>Drag the required component blocks from the <strong>Modules</strong> section (lower left pane) and drop to the right pane.&#160;Connect the blocks using wire connectors.&#160;For more information about blocks, see&#160;<MadCap:xref href="Workflow-Components.htm">Workflow Components</MadCap:xref>.<br />The following workflow is an example of a single level workflow.</p>
                <p>
                    <img src="../Resources/Images/single level workflow.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;width: 800px;height: 500px;" />
                </p>
            </li>
            <li>
                <p>Review the workflow and click&#160;<strong>Save</strong>.</p>
            </li>
        </ol>
        <h3 id="CreatingWorkflows-CreatingSingleLevelWorkflowsUsingXMLEditor">Creating Single Level Workflows Using XML Editor</h3>
        <p>The single-level workflow has only one level of approval which can also be created&#160;using the<strong>XML editor</strong>. The XML editor is mainly used to create complex workflows. After creating and approving a workflow you can configure it for various objects for request approvals. For example, you can configure a workflow to a Security System to manage request, approval, Role Creation, or Bulk upload.</p>
        <p>To create a single-level workflow using the XML editor:</p>
        <ol>
            <li>Navigate to&#160;<strong>Admin &gt;&#160;Workflow &gt; Workflow List</strong>.</li>
            <li>Select <strong>Create New Workflow </strong>under <strong>Action</strong>.<br />The following is the workflow user interface is displayed to create a workflow:<p><img src="../Resources/Images/Workflow UI Graphical Editor.png" style="width: 832px;height: 676px;" /><br /></p></li>
            <li>Click the <strong>Show XML</strong> option at right top corner of the page to create complex workflows.&#160;</li>
            <li>Specify the name of the workflow without space and select the workflow type in&#160;<strong>Workflow Type</strong>.<br />Following are the available workflow types:<ul><li><p>Parallel: Select this option to complete&#160;multiple tasks parallelly at the same time.</p></li><li><p>Serial: Select this option to complete tasks sequentially, one step after the other step</p></li></ul>Ensure that the name of the workflow is a unique.&#160;</li>
            <li>
                <p>Ensure that the&#160;Workflow Name and process name(in XML editor) are exactly the same. Else, the workflows might not work properly.</p>
                <p>
                    <img src="../Resources/Images/Creating Workflow using XML editor.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;width: 1200px;height: 500px;" />
                </p>
            </li>
            <li>Review the workflow and click<strong>Send For Approval</strong>.&#160;<br />The workflow will be auto-saved.&#160;<br /> <img src="../Resources/Images/send for approval.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" /><br /></li>
        </ol>
        <p>The created workflow will be displayed in <strong>Workflow List</strong> with the status as <strong>Pending Approval.</strong></p>
        <h2 id="CreatingWorkflows-CreatingMulti-LevelWorkflows">Creating Multi-Level Workflows</h2>
        <p>This section provides you the information about creating a workflow with multiple approval levels and conditions.</p>
        <h3 id="CreatingWorkflows-CreatingMulti-LevelWorkflowsusingGraphicalUIEditor">Creating Multi-Level Workflows using&#160;Graphical UI&#160;Editor</h3>
        <p>You can create a multi-level workflow using the&#160;<strong>Graphical UI </strong>editor and associate it with the required objects.</p>
        <p>To create multi-level workflow using the Graphical UI editor:</p>
        <ol>
            <li>Navigate to&#160;<strong>Admin &gt;&#160;Workflow &gt; Workflow List.</strong></li>
            <li>Select <strong>Create New Workflow </strong>under<strong> Action.</strong></li>
            <li>Specify the name of the workflow without space and select the workflow type in&#160;<strong>Workflow Type</strong>&#160;fields in the&#160;<strong>Properties</strong>&#160;section respectively.<br />Following are the available workflow types:<ul><li><p>Parallel: Select this option to complete&#160;multiple tasks parallelly at the same time.</p></li><li><p>Serial: Select this option to complete tasks sequentially, one step after the other step.</p><p>Ensure that the name of the workflow is a unique.&#160;</p></li></ul></li>
            <li>Drag the required component blocks from the <strong>Modules</strong> section and drop to the right pane.&#160;Connect the blocks using wire connectors.&#160;For more information, see&#160;<MadCap:xref href="Workflow-Components.htm">Workflow Components</MadCap:xref>.<br />The following workflow is an example of a&#160;multi-level workflow.<br /><img src="../Resources/Images/multi level workflow.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;width: 615px;height: 717px;" /><br /></li>
        </ol>
        <ol MadCap:continue="true">
            <li>Review the workflow and click&#160;<strong>Save</strong>.<br />The workflow displays in <strong>Workflow List</strong> with the status as <strong>Pending Approval.</strong></li>
        </ol>
        <h3>Creating&#160;Multi-Level Workflows Using XML Editor</h3>
        <div class="page view">
            <p>You can create one or more multi-level workflows&#160;using the <strong>Graphical UI&#160;Editor</strong>&#160;or using the <strong>XML editor</strong> too. The XML editor is mainly used to create more complex workflows, instead of using the UI editor. Once workflow is created and approved, you can attach the workflow to various objects for request approvals. For example, you can attach a workflow to Users, Security systems to manage approval or request workflows.</p>
            <p>To create a multi-level workflow:</p>
            <ol>
                <li>Navigate to&#160;<strong>Admin &gt;&#160;Workflow &gt; Workflow List</strong>.</li>
                <li>Select <strong>Create New Workflow </strong>under <strong>Action</strong>.<br />The following is the workflow user interface is displayed to create a workflow:</li>
                <li>To&#160;create complex workflows using XML editor, select the <strong>Show XML</strong> option at right top corner of the page.&#160;</li>
                <li>Specify the name of the workflow without space and select the workflow type in&#160;<strong>Workflow Type</strong>.<br />Following are the available workflow types:<ul><li><p>Parallel: Select this option to complete&#160;multiple tasks parallelly at the same time.</p></li><li><p>Serial: Select this option to complete tasks sequentially, one step after the other step.</p><p>Ensure that the name of the workflow is a unique.&#160;</p></li></ul></li>
            </ol>
            <div class="confluence-information-macro-body">
                <p>Ensure that the&#160;Workflow Name and process name(in XML editor) are exactly the same. Else, the workflows might not work properly</p>
                <p>
                    <img src="../Resources/Images/Creating Workflow using XML editor - multilevel.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;width: 782px;height: 374px;" />
                </p>
            </div>
            <p class="confluence-information-macro confluence-information-macro-note conf-macro output-block">Review the workflow and click <strong>Send For Approval</strong>.&#160;</p>
            <p>The workflow will be auto-saved and displays in Workflow List with the status as Pending Approval.</p>
            <p>
                <img src="../Resources/Images/send for approval.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
            </p>
            <p>&#160;</p>
        </div>
    </body>
</html>